Bug 1729912 - [RFE] Addition of an order constraint for virtual IP address in a HANA System Replication Cluster
Summary: [RFE] Addition of an order constraint for virtual IP address in a HANA System...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: resource-agents
Version: 7.10
Hardware: Unspecified
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Frank Danapfel
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-15 10:02 UTC by Amir Anwar Ahmed Memon
Modified: 2019-11-29 10:25 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-29 10:25:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Article) 3004101 None None None 2019-10-16 19:53:51 UTC

Description Amir Anwar Ahmed Memon 2019-07-15 10:02:54 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible: Follow the below link
https://access.redhat.com/articles/3004101

Actual results: At step 4.6.2 there is an addition of a colocation constraint only
=====
[root]# pcs constraint colocation add vip_RH2_02 with master SAPHana_RH2_02-master 2000
=====


Expected results as mentioned by the customer: There should also be an additional order constraint to ensure that the virtual IP address is only activated after the HANA database instance is up and running again. 
After a takeover, the virtual IP address should only be activated again after the database is operational again.
Similarly, when performing a takeover and the source system is still up and running, the first action should be to deactivate the virtual IP address before starting the HANA takeover operation.


Additional info: The RFE is opened for the engineering team to check if it would be OK to modify the document with the addtion of the appropriate order constraint for the VIP.

Comment 3 Ken Gaillot 2019-07-15 15:19:26 UTC
Fabio, does this sound correct?

Comment 15 Frank Danapfel 2019-11-29 10:25:54 UTC
Closing this bug, since the support case that led to its creation has been closed and there was never any feedback from the original requestor on the support case for the additional information we asked for.


Note You need to log in before you can comment on or make changes to this bug.